Bug 31768 - Cleanup udm --help
Cleanup udm --help
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM - CLI
UCS 4.2
All Linux
: P5 minor (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on: 17519
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 07:34 CEST by Philipp Hahn
Modified: 2017-07-05 13:06 CEST (History)
7 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 4: Will affect most installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Cleanup, Design, Typo/text changes, Usability
Max CVSS v3 score:
best: Patch_Available+


Attachments
Move common udm --help options (3.56 KB, patch)
2013-06-20 07:34 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-06-20 07:34:16 CEST
Created attachment 5281 [details]
Move common udm --help options

+++ This bug was initially created as a clone of Bug #17519 +++
Since Bug #17519 even "udm list" required credentials, so let's move
  --binddn
  --bindpwd
  --bindpwdfile
to the common udm option section to reduce the excessive output on erroneous calls.
Comment 1 Johannes Keiser univentionstaff 2017-06-30 13:01:02 CEST
Applied rebased patch:

r 80669
univention-directory-manager-modules (12.0.17-35) 
* Bug #31768: Applied patch from Philipp Hahn - udm --help cleanup

YAML: r 80670
Comment 2 Florian Best univentionstaff 2017-06-30 13:53:23 CEST
OK: looks good
OK: YAML
Comment 3 Janek Walkenhorst univentionstaff 2017-07-05 13:06:07 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>